"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RollupPluginSwc = void 0;
const pluginutils_1 = require("@rollup/pluginutils");
const core_1 = require("@swc/core");
const utils_1 = require("./utils");
function RollupPluginSwc(options) {
    // todo: load swc/tsconfig from config files
    const config = {
        // options from swc config
        ...options
    };
    const filter = (0, pluginutils_1.createFilter)(/\.(tsx?|jsx)$/, /\.js$/);
    return {
        name: 'rollup-plugin-swc',
        async transform(code, id) {
            if (filter(id) || filter((0, utils_1.cleanUrl)(id))) {
                const result = await (0, core_1.transform)(code, {
                    ...config,
                    filename: id
                });
                return {
                    code: result.code,
                    map: result.map
                };
            }
        }
    };
}
exports.RollupPluginSwc = RollupPluginSwc;
//# sourceMappingURL=rollup-plugin-swc.js.map